.pokemon-detail-outer-wrapper {
    
    .pokemon-detail-wrapper {
        border: dashed 2px var(--main-red);
        border-radius: 8px;
        text-align: center;

        .name {
            padding: 10px;
            text-transform: uppercase;
            letter-spacing: 5px;
            font-weight: 600;
            color: var(--main-white);
            background-color: var(--main-red);
            font-size: 24px;
            border-radius: 8px 8px 0 0;
            word-break: break-word;
        }

        .sprite {
            width: 70%;
        }

        .types {
            padding: 10px 5px;

            > div {
                display: inline-block;
                padding: 5px 10px;
                margin: 5px;
                color: var(--main-white);
                border-radius: 8px;
                cursor: default;
                transition: 0.15s all ease;
            }
        }

        .pokemon-info-wrapper {
            border-top: solid 2px var(--main-red);

            > div {
                display: flex;
                justify-content: center;
                align-items: flex-start;
                color: var(--main-dark-blue);
                font-size: 18px;

                .field {
                    margin-top: 1em;
                    text-align: right;
                    flex: 40%;
                    padding-inline-end: 20px;
                    font-weight: 600;
                }

                .value {
                    text-align: left;
                    flex: 60%;
                    border-left: solid 2px var(--main-red);

                    ul {
                        padding-inline-start: 40px;
                        list-style-type: disclosure-closed;

                        li {
                            margin: 1em 0;
                            word-break: break-word;
                            // position: relative;
                            // transition: top ease 0.5s;
                            cursor: default;
                        }
                    }
                }
            }
        }
    }

    .pokemon-catch-button {
        
    }

    .popup-outer-wrapper {
        input {
            margin: 0 5px;
            border-radius: 8px;
            box-shadow: none;
            border: solid 1px var(--main-black);
            color: var(--main-black);
            font-size: 16px;
            padding: 5px 10px;
            height: 20px;
            width: calc(100% - 32px);
            margin: 0 0 16px 0;
        }

        input:focus {
            border: solid 1px var(--main-red);
            outline: none;
            box-shadow: var(--main-white) 0px 2px 5px -1px, var(--main-white) 0px 1px 3px -1px;
        }

        .error-input {
            border: solid 1px var(--main-red);
            box-shadow: none;
        }

        .error-input:focus {
            border: solid 1px var(--main-red);
            box-shadow: none;
        }

        .error-msg {
            color: var(--main-red);
            font-size: 12px;
            margin: 0;
        }
    }
}